tvbrowser.extras.common

## Interface InternalPluginProxyIf

- All Known Implementing Classes:
    AbstractInternalPluginProxy, FavoritesPluginProxy, ProgramInfoProxy, ReminderPluginProxy, SearchPluginProxy

      public interface InternalPluginProxyIf

  Have to be implemented by all internal plugins to support common methods.
  Since:
    2.6
  Author:
    René Mach

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `InternalPluginProxyIf.Comparator` comparator for internal plugin proxies

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `KEYBOARD_ACCELERATOR` This is the key for the keyboard accelerator for internal plugin button actions.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AfterDataUpdateInfoPanel` | `getAfterDataUpdateInfoPanel()` Gets a panel that contains infos that should be shown for this Plugins after a data update.
    `java.lang.String` | `getButtonActionDescription()` Gets the description of this internal plugin.
    `javax.swing.Icon` | `getIcon()` Gets the icon of this internal plugin.
    `java.lang.String` | `getId()` Gets the id of this internal plugin.
    `java.lang.String` | `getName()` Gets the name of this internal plugin.
    `java.lang.String` | `getPluginCategory()`
    `PluginCenterPanelWrapper` | `getPluginCenterPanelWrapper()` Gets the PluginCenterPanelWrapper for this internal plugin.
    `java.lang.String` | `getSettingsId()` Gets the settings id of this internal plugin.
    `SettingsTab` | `getSettingsTab()` Gets the settings tab of this internal plugin.
    `void` | `handleTvBrowserStartFinished()`
    `void` | `handleTvDataUpdateFinished()`

- - ### Field Detail

    - #### KEYBOARD_ACCELERATOR

          static final java.lang.String KEYBOARD_ACCELERATOR

      This is the key for the keyboard accelerator for internal plugin button actions.
      Since:
        2.7
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getIcon

          javax.swing.Icon getIcon()

      Gets the icon of this internal plugin.
      Returns:
        The icon for this internal plugin.

    - #### getName

          java.lang.String getName()

      Gets the name of this internal plugin.
      Returns:
        The name of this internal plugin.

    - #### getButtonActionDescription

          java.lang.String getButtonActionDescription()

      Gets the description of this internal plugin.
      Returns:
        The description of this internal plugin.

    - #### getId

          java.lang.String getId()

      Gets the id of this internal plugin.
      Returns:
        The id of this internal plugin.

    - #### getSettingsTab

          SettingsTab getSettingsTab()

      Gets the settings tab of this internal plugin.
      Returns:
        The settings tab of this internal plugin.

    - #### getSettingsId

          java.lang.String getSettingsId()

      Gets the settings id of this internal plugin.
      Returns:
        The settings id of this internal plugin.

    - #### handleTvDataUpdateFinished

          void handleTvDataUpdateFinished()

      Since:
        3.0

    - #### handleTvBrowserStartFinished

          void handleTvBrowserStartFinished()

      Since:
        3.0.2

    - #### getPluginCategory

          java.lang.String getPluginCategory()

      Returns:
        The plugin category of this internal plugin.
      Since:
        3.0.2

    - #### getPluginCenterPanelWrapper

          PluginCenterPanelWrapper getPluginCenterPanelWrapper()

      Gets the PluginCenterPanelWrapper for this internal plugin.

      Returns:
        The `PluginCenterPanelWrapper` for this internal plugin or `null`.
      Since:
        3.2

    - #### getAfterDataUpdateInfoPanel

          AfterDataUpdateInfoPanel getAfterDataUpdateInfoPanel()

      Gets a panel that contains infos that should be shown for this Plugins after a data update.

      Returns:
        The panel with the infos.
      Since:
        3.2

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)